#! /bin/sh

if [ ! -f ../game.exe ]
then
	echo 適切なディレクトリで実行してください。処理を中止します。
	exit 1
fi

echo 処理を開始します。しばらくお待ちください。

/bin/rm patch.log > /dev/null 2>&1

/bin/cp -fv *.ini .. > patch.log 2>&1

./patch_sub.sh  ../Global/Global.xarc                                 subtitles/Global.txt              >> patch.log 2>&1
./patch_sub.sh  ../Static/DiaryIndexLocation/DiaryIndexLocation.xarc  subtitles/DiaryIndexLocation.txt  >> patch.log 2>&1
./patch_sub.sh  ../Static/MainMenuLocation/MainMenuLocation.xarc      subtitles/MainMenuLocation.txt    >> patch.log 2>&1
./patch_sub.sh  ../Static/LoadSaveLocation/LoadSaveLocation.xarc      subtitles/LoadSaveLocation.txt    >> patch.log 2>&1
./patch_sub.sh  ../Static/OptionLocation/OptionLocation.xarc          subtitles/OptionLocation.txt      >> patch.log 2>&1
./patch_sub.sh  ../Static/DiaryPages/DiaryPages.xarc                  subtitles/DiaryPages.txt          >> patch.log 2>&1
echo  .
./patch_sub.sh  ../08/08.xarc     subtitles/08.txt     >> patch.log 2>&1
./patch_sub.sh  ../08/02/02.xarc  subtitles/08_02.txt  >> patch.log 2>&1
./patch_sub.sh  ../12/12.xarc     subtitles/12.txt     >> patch.log 2>&1
./patch_sub.sh  ../12/00/00.xarc  subtitles/12_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../12/01/01.xarc  subtitles/12_01.txt  >> patch.log 2>&1
./patch_sub.sh  ../12/02/02.xarc  subtitles/12_02.txt  >> patch.log 2>&1
./patch_sub.sh  ../12/03/03.xarc  subtitles/12_03.txt  >> patch.log 2>&1
./patch_sub.sh  ../14/00/00.xarc  subtitles/14_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../14/01/01.xarc  subtitles/14_01.txt  >> patch.log 2>&1
./patch_sub.sh  ../16/00/00.xarc  subtitles/16_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../16/01/01.xarc  subtitles/16_01.txt  >> patch.log 2>&1
./patch_sub.sh  ../17/00/00.xarc  subtitles/17_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../17/01/01.xarc  subtitles/17_01.txt  >> patch.log 2>&1
./patch_sub.sh  ../18/00/00.xarc  subtitles/18_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../19/00/00.xarc  subtitles/19_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../1a/01/01.xarc  subtitles/1a_01.txt  >> patch.log 2>&1
./patch_sub.sh  ../1a/02/02.xarc  subtitles/1a_02.txt  >> patch.log 2>&1
./patch_sub.sh  ../1a/03/03.xarc  subtitles/1a_03.txt  >> patch.log 2>&1
echo  .
./patch_sub.sh  ../1b/00/00.xarc  subtitles/1b_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../1c/00/00.xarc  subtitles/1c_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../1c/01/01.xarc  subtitles/1c_01.txt  >> patch.log 2>&1
./patch_sub.sh  ../1d/00/00.xarc  subtitles/1d_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../1d/01/01.xarc  subtitles/1d_01.txt  >> patch.log 2>&1
./patch_sub.sh  ../1e/00/00.xarc  subtitles/1e_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../1f/00/00.xarc  subtitles/1f_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../20/00/00.xarc  subtitles/20_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../20/01/01.xarc  subtitles/20_01.txt  >> patch.log 2>&1
./patch_sub.sh  ../21/00/00.xarc  subtitles/21_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../22/22.xarc     subtitles/22.txt     >> patch.log 2>&1
./patch_sub.sh  ../22/00/00.xarc  subtitles/22_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../22/01/01.xarc  subtitles/22_01.txt  >> patch.log 2>&1
./patch_sub.sh  ../23/00/00.xarc  subtitles/23_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../23/01/01.xarc  subtitles/23_01.txt  >> patch.log 2>&1
./patch_sub.sh  ../23/02/02.xarc  subtitles/23_02.txt  >> patch.log 2>&1
./patch_sub.sh  ../23/03/03.xarc  subtitles/23_03.txt  >> patch.log 2>&1
echo  .
./patch_sub.sh  ../23/04/04.xarc  subtitles/23_04.txt  >> patch.log 2>&1
./patch_sub.sh  ../23/05/05.xarc  subtitles/23_05.txt  >> patch.log 2>&1
./patch_sub.sh  ../23/06/06.xarc  subtitles/23_06.txt  >> patch.log 2>&1
./patch_sub.sh  ../24/00/00.xarc  subtitles/24_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../24/01/01.xarc  subtitles/24_01.txt  >> patch.log 2>&1
./patch_sub.sh  ../25/00/00.xarc  subtitles/25_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../26/00/00.xarc  subtitles/26_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../26/01/01.xarc  subtitles/26_01.txt  >> patch.log 2>&1
./patch_sub.sh  ../26/02/02.xarc  subtitles/26_02.txt  >> patch.log 2>&1
./patch_sub.sh  ../27/00/00.xarc  subtitles/27_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../27/01/01.xarc  subtitles/27_01.txt  >> patch.log 2>&1
./patch_sub.sh  ../28/00/00.xarc  subtitles/28_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../29/00/00.xarc  subtitles/29_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../29/01/01.xarc  subtitles/29_01.txt  >> patch.log 2>&1
./patch_sub.sh  ../29/02/02.xarc  subtitles/29_02.txt  >> patch.log 2>&1
./patch_sub.sh  ../2a/01/01.xarc  subtitles/2a_01.txt  >> patch.log 2>&1
./patch_sub.sh  ../2a/02/02.xarc  subtitles/2a_02.txt  >> patch.log 2>&1
echo  .
./patch_sub.sh  ../2a/03/03.xarc  subtitles/2a_03.txt  >> patch.log 2>&1
./patch_sub.sh  ../2b/00/00.xarc  subtitles/2b_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../2c/00/00.xarc  subtitles/2c_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../2d/00/00.xarc  subtitles/2d_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../2d/01/01.xarc  subtitles/2d_01.txt  >> patch.log 2>&1
./patch_sub.sh  ../2d/02/02.xarc  subtitles/2d_02.txt  >> patch.log 2>&1
./patch_sub.sh  ../2d/03/03.xarc  subtitles/2d_03.txt  >> patch.log 2>&1
./patch_sub.sh  ../2e/00/00.xarc  subtitles/2e_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../2f/00/00.xarc  subtitles/2f_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../30/00/00.xarc  subtitles/30_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../31/00/00.xarc  subtitles/31_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../31/01/01.xarc  subtitles/31_01.txt  >> patch.log 2>&1
./patch_sub.sh  ../32/00/00.xarc  subtitles/32_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../32/01/01.xarc  subtitles/32_01.txt  >> patch.log 2>&1
./patch_sub.sh  ../32/02/02.xarc  subtitles/32_02.txt  >> patch.log 2>&1
./patch_sub.sh  ../33/00/00.xarc  subtitles/33_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../34/00/00.xarc  subtitles/34_00.txt  >> patch.log 2>&1
echo  .
./patch_sub.sh  ../35/00/00.xarc  subtitles/35_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../35/01/01.xarc  subtitles/35_01.txt  >> patch.log 2>&1
./patch_sub.sh  ../36/36.xarc     subtitles/36.txt     >> patch.log 2>&1
./patch_sub.sh  ../36/01/01.xarc  subtitles/36_01.txt  >> patch.log 2>&1
./patch_sub.sh  ../37/00/00.xarc  subtitles/37_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../38/38.xarc     subtitles/38.txt     >> patch.log 2>&1
./patch_sub.sh  ../38/01/01.xarc  subtitles/38_01.txt  >> patch.log 2>&1
./patch_sub.sh  ../39/00/00.xarc  subtitles/39_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../39/01/01.xarc  subtitles/39_01.txt  >> patch.log 2>&1
./patch_sub.sh  ../39/02/02.xarc  subtitles/39_02.txt  >> patch.log 2>&1
./patch_sub.sh  ../3a/00/00.xarc  subtitles/3a_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../3a/01/01.xarc  subtitles/3a_01.txt  >> patch.log 2>&1
./patch_sub.sh  ../3b/00/00.xarc  subtitles/3b_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../3b/01/01.xarc  subtitles/3b_01.txt  >> patch.log 2>&1
./patch_sub.sh  ../3c/00/00.xarc  subtitles/3c_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../3d/00/00.xarc  subtitles/3d_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../3e/00/00.xarc  subtitles/3e_00.txt  >> patch.log 2>&1
echo  .
./patch_sub.sh  ../3e/01/01.xarc  subtitles/3e_01.txt  >> patch.log 2>&1
./patch_sub.sh  ../3e/02/02.xarc  subtitles/3e_02.txt  >> patch.log 2>&1
./patch_sub.sh  ../3e/03/03.xarc  subtitles/3e_03.txt  >> patch.log 2>&1
./patch_sub.sh  ../3f/00/00.xarc  subtitles/3f_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../40/00/00.xarc  subtitles/40_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../41/00/00.xarc  subtitles/41_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../42/00/00.xarc  subtitles/42_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../43/00/00.xarc  subtitles/43_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../44/00/00.xarc  subtitles/44_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../45/00/00.xarc  subtitles/45_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../46/46.xarc     subtitles/46.txt     >> patch.log 2>&1
./patch_sub.sh  ../46/00/00.xarc  subtitles/46_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../46/01/01.xarc  subtitles/46_01.txt  >> patch.log 2>&1
./patch_sub.sh  ../47/00/00.xarc  subtitles/47_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../48/00/00.xarc  subtitles/48_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../49/00/00.xarc  subtitles/49_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../4a/00/00.xarc  subtitles/4a_00.txt  >> patch.log 2>&1
echo  .
./patch_sub.sh  ../4a/01/01.xarc  subtitles/4a_01.txt  >> patch.log 2>&1
./patch_sub.sh  ../4b/00/00.xarc  subtitles/4b_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../4c/4c.xarc     subtitles/4c.txt     >> patch.log 2>&1
./patch_sub.sh  ../4d/00/00.xarc  subtitles/4d_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../4e/00/00.xarc  subtitles/4e_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../4e/01/01.xarc  subtitles/4e_01.txt  >> patch.log 2>&1
./patch_sub.sh  ../4e/02/02.xarc  subtitles/4e_02.txt  >> patch.log 2>&1
./patch_sub.sh  ../4f/4f.xarc     subtitles/4f.txt     >> patch.log 2>&1
./patch_sub.sh  ../4f/00/00.xarc  subtitles/4f_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../4f/01/01.xarc  subtitles/4f_01.txt  >> patch.log 2>&1
./patch_sub.sh  ../4f/04/04.xarc  subtitles/4f_04.txt  >> patch.log 2>&1
./patch_sub.sh  ../50/00/00.xarc  subtitles/50_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../51/00/00.xarc  subtitles/51_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../52/00/00.xarc  subtitles/52_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../53/00/00.xarc  subtitles/53_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../54/54.xarc     subtitles/54.txt     >> patch.log 2>&1
./patch_sub.sh  ../54/02/02.xarc  subtitles/54_02.txt  >> patch.log 2>&1
echo  .
./patch_sub.sh  ../55/00/00.xarc  subtitles/55_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../55/01/01.xarc  subtitles/55_01.txt  >> patch.log 2>&1
./patch_sub.sh  ../56/00/00.xarc  subtitles/56_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../57/00/00.xarc  subtitles/57_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../57/01/01.xarc  subtitles/57_01.txt  >> patch.log 2>&1
./patch_sub.sh  ../57/02/02.xarc  subtitles/57_02.txt  >> patch.log 2>&1
./patch_sub.sh  ../58/00/00.xarc  subtitles/58_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../58/01/01.xarc  subtitles/58_01.txt  >> patch.log 2>&1
./patch_sub.sh  ../59/00/00.xarc  subtitles/59_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../5a/00/00.xarc  subtitles/5a_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../5b/00/00.xarc  subtitles/5b_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../5b/01/01.xarc  subtitles/5b_01.txt  >> patch.log 2>&1
./patch_sub.sh  ../5c/00/00.xarc  subtitles/5c_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../5c/01/01.xarc  subtitles/5c_01.txt  >> patch.log 2>&1
./patch_sub.sh  ../5c/02/02.xarc  subtitles/5c_02.txt  >> patch.log 2>&1
./patch_sub.sh  ../5d/00/00.xarc  subtitles/5d_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../5e/00/00.xarc  subtitles/5e_00.txt  >> patch.log 2>&1
echo  .
./patch_sub.sh  ../5f/00/00.xarc  subtitles/5f_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../60/00/00.xarc  subtitles/60_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../61/00/00.xarc  subtitles/61_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../62/00/00.xarc  subtitles/62_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../62/01/01.xarc  subtitles/62_01.txt  >> patch.log 2>&1
./patch_sub.sh  ../63/00/00.xarc  subtitles/63_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../64/00/00.xarc  subtitles/64_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../65/00/00.xarc  subtitles/65_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../66/00/00.xarc  subtitles/66_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../67/00/00.xarc  subtitles/67_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../68/00/00.xarc  subtitles/68_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../69/00/00.xarc  subtitles/69_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../6a/00/00.xarc  subtitles/6a_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../6b/00/00.xarc  subtitles/6b_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../6c/00/00.xarc  subtitles/6c_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../6d/6d.xarc     subtitles/6d.txt     >> patch.log 2>&1
./patch_sub.sh  ../6e/00/00.xarc  subtitles/6e_00.txt  >> patch.log 2>&1
echo  .
./patch_sub.sh  ../6f/00/00.xarc  subtitles/6f_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../6f/01/01.xarc  subtitles/6f_01.txt  >> patch.log 2>&1
./patch_sub.sh  ../70/00/00.xarc  subtitles/70_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../71/00/00.xarc  subtitles/71_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../72/00/00.xarc  subtitles/72_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../73/00/00.xarc  subtitles/73_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../74/00/00.xarc  subtitles/74_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../75/00/00.xarc  subtitles/75_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../76/00/00.xarc  subtitles/76_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../77/00/00.xarc  subtitles/77_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../78/00/00.xarc  subtitles/78_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../79/00/00.xarc  subtitles/79_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../7a/00/00.xarc  subtitles/7a_00.txt  >> patch.log 2>&1
./patch_sub.sh  ../7a/01/01.xarc  subtitles/7a_01.txt  >> patch.log 2>&1
./patch_sub.sh  ../7b/00/00.xarc  subtitles/7b_00.txt  >> patch.log 2>&1

echo 処理が完了しました。
echo patch.logにログを出力しました。

