#! /bin/sh

if [ -f $1.bak ]
then
	cp -pf "$1".bak "$1" > /dev/null 2>&1
else
	cp -pf "$1" "$1".bak > /dev/null 2>&1
fi

name=$(basename "$1" .xarc)

if [ -f tmp/$name.xrc ]
then
	rm tmp/$name.xrc
fi

./extract_xarc -e xrc "$1" tmp
if [ $? -ne 0 ]; then exit 1; fi

./modify_xrc tmp/$name.xrc "$2"
if [ $? -ne 0 ]; then exit 1; fi

rm tmp/$name.xrc
mv tmp/$name.NEW.xrc tmp/$name.xrc

./replace_xarc "$1" tmp/$name.xrc -o tmp/$name.xarc
if [ $? -ne 0 ]; then exit 1; fi

cp -pf tmp/$name.xarc "$1"
if [ $? -ne 0 ]; then exit 1; fi

rm tmp/$name.xrc
rm tmp/$name.xarc
