#ifndef __UTILS_UTF8_H__
#define __UTILS_UTF8_H__

#include <stdint.h>

extern int convert_utf8_windows_to_unix(const char *text, char **new_text);
extern int convert_utf8_unix_to_windows(const char *text, char **new_text);
extern int get_next_utf8_char(uint32_t *code, const char *src);
extern char *utf32_to_utf8(char *des, int *size, uint32_t code);

#endif	/* __UTILS_UTF8_H__ */
