#! /bin/sh

dir=$(dirname "$1")
name=$(basename "$1" .xarc)

if [ -f $dir/$name.xrc ]
then
	rm $dir/$name.xrc
fi

if [ -f "$1".bak ]
then
	./extract_xarc "$1".bak -e xrc $dir > /dev/null
	if [ $? -ne 0 ]; then exit 1; fi

	#./read_xrc $dir/$name.xrc -t $dir/$name.en.txt > /dev/null
	#if [ $? -ne 0 ]; then exit 1; fi

	./read_xrc $dir/$name.xrc -t $dir/$name.en.txt -U > /dev/null
	if [ $? -ne 0 ]; then exit 1; fi

	rm $dir/$name.xrc

	./extract_xarc "$1" -e xrc $dir > /dev/null
	if [ $? -ne 0 ]; then exit 1; fi

	#./read_xrc $dir/$name.xrc -S -t $dir/$name.ja.txt > /dev/null
	#if [ $? -ne 0 ]; then exit 1; fi

	./read_xrc $dir/$name.xrc -S -t $dir/$name.ja.txt -U > /dev/null
	if [ $? -ne 0 ]; then exit 1; fi
else
	./extract_xarc "$1" -e xrc $dir > /dev/null
	if [ $? -ne 0 ]; then exit 1; fi

	#./read_xrc $dir/$name.xrc -t $dir/$name.en.txt > /dev/null
	#if [ $? -ne 0 ]; then exit 1; fi

	./read_xrc $dir/$name.xrc -t $dir/$name.en.txt -U > /dev/null
	if [ $? -ne 0 ]; then exit 1; fi
fi

rm $dir/$name.xrc
